%%%%%%%%%%%%%
%Ploting differents Trajectories 
%%%%%%%%%%%%%

%The trajectories are calculated by running ADS_simul (values are alredy in percentage points from no-disease case)


%%%  CHECK THAT THE VARIABLES ARE CONSISTENT WITH THE TEXT!!! %%%
clear
load results_pd_SIR_A.mat;
Traj_A=Traj; %rename the trajectory index

%setting up the plots
r=length(Traj_A.L); %number of data points in the trajectory
T=(1:1:r); %time vector of trajectory path
m=3; %number of rows per subplot
n=3; %number of columns per subplot

figure1 = figure(1);
axes1 = axes('Parent',figure1,'XTick',zeros(1,0));

subplot(2,3,1,'align')
 hold on
 box('on')
 minY=min(Traj_A.L);maxY=max(Traj_A.L); %find min and max X,Y
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end-1),zeros(1,r-2),'r'); %plot zero line
 plot(T(2:end-1),Traj_A.L(2:end-1),'b','LineWidth',2); %plot labor trajectory
 xlabel('time');ylabel('Labor (L)');
 title('(a)');
 hold off
 
subplot(2,3,2,'align')
 hold on
 box('on')
 minY=min(Traj_A.C);maxY=max(Traj_A.C);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end-1),zeros(1,r-2),'r');plot(T(2:end-1),Traj_A.C(2:end-1),'b','LineWidth',2);
 xlabel('time');ylabel('Consumption (C)');title('(b)');
 hold off
 
 subplot(2,3,3,'align')
 hold on
 box('on')
 minY=min(Traj_A.K);maxY=max(Traj_A.K);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end-1),zeros(1,r-2),'r');plot(T(2:end-1),Traj_A.K(2:end-1),'b','LineWidth',2);
 xlabel('time');ylabel('Capital (K)');title('(c)');
 hold off
 
subplot(2,3,4,'align')
 hold on
 box('on')
 minY=min(Traj_A.In); maxY=max(Traj_A.In);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end-1),zeros(1,r-2),'r'); plot(T(2:end-1),Traj_A.In(2:end-1),'b','LineWidth',2);
 xlabel('time');ylabel('Investment (I)');title('(d)');
 hold off

 subplot(2,3,5,'align')
 hold on
 box('on')
 minY=min(Traj_A.V); maxY=max(Traj_A.V);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end-1),zeros(1,r-2),'r');plot(T(2:end-1),Traj_A.V(2:end-1),'b','LineWidth',2);
 xlabel('time');ylabel('Expected Discounted Net Worth (V)');title('(e)');
 hold off
 
 subplot(2,3,6,'align')
 hold on
 box('on')
 minY=min(Traj_A.Z);maxY=max(Traj_A.Z);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end-1),zeros(1,r-2),'r');plot(T(2:end-1),Traj_A.Z(2:end-1),'b','LineWidth',2);
 xlabel('time');ylabel('Quantity of claims sold (Z)');title('(f)');
 hold off

 orient landscape
 saveas(gcf, "VDS20", 'pdf')
 
figure2 = figure(2);
axes2 = axes('Parent',figure2,'XTick',zeros(1,0));
 
subplot(2,2,1,'align')
 hold on
 box('on')
 minY=min(Traj_A.psi);maxY=max(Traj_A.psi);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end),zeros(1,r-1),'r');plot(T(2:end),Traj_A.psi(2:end),'b','LineWidth',2);
 xlabel('time');ylabel({'Fraction of total credits','financed by Central Bank (\Psi)'});title('(a)');
 hold off
 
 
 subplot(2,2,2,'align')
 hold on
 box('on') 
 %minY=min(Traj_A.R);maxY=max(Traj_A.R);
 %minY=min(Traj_A.Rk);maxY=max(Traj_A.Rk);
 minY=min(Traj_A.Rk);maxY=max(Traj_A.R);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end-1),zeros(1,r-2),'r');plot(T(2:end-1),Traj_A.R(2:end-1),'b','LineWidth',2);plot(T(2:end-1),Traj_A.Rk(2:end-1),'b--','LineWidth',2);
 xlabel('time');ylabel('Interest rate');title('(b)');
 %ylb = ylabel('% Change');
 %ylb.Position(2) = ylb.Position(2) - 0.1;
 hold off
 
 
 subplot(2,2,3,'align')
 hold on
 box('on')
 minY=min(Traj_A.Pi); maxY=max(Traj_A.Pi);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end-1),zeros(1,r-2),'r');plot(T(2:end-1),Traj_A.Pi(2:end-1),'b','LineWidth',2);
 xlabel('time');ylabel('Inflation (\Pi)');title('(c)');
 hold off
 
 subplot(2,2,4,'align')
 hold on
 box('on')
 minY=min(Traj_A.Y);maxY=max(Traj_A.Y);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T(2:end-1),zeros(1,r-2),'r');plot(T(2:end-1),Traj_A.Y(2:end-1),'b','LineWidth',2);
 xlabel('time');ylabel('GDP');title('(d)');
 hold off
 
 
% subplot(m,n,4,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.K);
%  maxY=max(Traj_A.K);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.K,'b','LineWidth',2);
%  title('Capital');
%  hold off
 
% subplot(m,n,5,'align')
%  hold on
%  box('on') 
%  minY=min(Traj_A.R);
%  maxY=max(Traj_A.R);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.R,'b','LineWidth',2);
%  title('Gross int. rate');
%  %ylb = ylabel('% Change');
%  %ylb.Position(2) = ylb.Position(2) - 0.1;
%  hold off

% subplot(m,n,6,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.In);
%  maxY=max(Traj_A.In);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.In,'b','LineWidth',2);
%  title('Invest.');
%  hold off

% subplot(m,n,7,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.V);
%  maxY=max(Traj_A.V);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.V,'b','LineWidth',2);
%  title('V');
%  hold off 
%  
% subplot(m,n,8,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.Q_Z);
%  maxY=max(Traj_A.Q_Z);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.Q_Z,'b','LineWidth',2);
%  title('QZ');
%  hold off
%  
% subplot(m,n,9,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.psi);
%  maxY=max(Traj_A.psi);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  h1=plot(T,Traj_A.psi,'b','LineWidth',2);
%  title('psi');
%  hold off


% savefig('SIR_baseline_US_a.fig');

% 
% m=3;
% n=3;
% 
% figure2 = figure(2);
% axes1 = axes('Parent',figure2,'XTick',zeros(1,0));
% 
% subplot(m,n,1,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.V1);
%  maxY=max(Traj_A.V1);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  h1=plot(T,Traj_A.V1,'b','LineWidth',2);
%  title('\nu QZ');
%  hold off
% 
% subplot(m,n,2,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.V2);
%  maxY=max(Traj_A.V2);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.V2,'b','LineWidth',2);
%  title('\eta \Omega');
%  hold off
% 
% subplot(m,n,3,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.phi);
%  maxY=max(Traj_A.phi);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.phi,'b','LineWidth',2);
%  title('\phi');
%  hold off 
% 
% subplot(m,n,4,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.Omega);
%  maxY=max(Traj_A.Omega);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.Omega,'b','LineWidth',2);
%  title('\Omega');
%  hold off
%  
% 
% subplot(m,n,5,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.Q);
%  maxY=max(Traj_A.Q);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.Q,'b','LineWidth',2);
%  title('Q');
%  hold off
% 
% subplot(m,n,6,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.Rk);
%  maxY=max(Traj_A.Rk);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.Rk,'b','LineWidth',2);
%  title('R_k');
%  hold off
% 
% subplot(m,n,7,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.nu);
%  maxY=max(Traj_A.nu);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.nu,'b','LineWidth',2);
%  title('\nu');
%  hold off
% 
% subplot(m,n,8,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.eta);
%  maxY=max(Traj_A.eta);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.eta,'b','LineWidth',2);
%  title('\eta');
%  hold off
%  
% subplot(m,n,9,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.Pi);
%  maxY=max(Traj_A.Pi);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.Pi,'b','LineWidth',2);
%  title('\Pi');
%  hold off
%  
% 
% savefig('SIR_baseline_US_b.fig');
