function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = ADS_SIR.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(34, 1);
lhs = y(12);
rhs = 1-x(it_, 1);
residual(1) = lhs - rhs;
lhs = y(29);
rhs = 1/(y(13)-params(6)*y(1))-params(6)*params(5)/(y(46)-y(13)*params(6));
residual(2) = lhs - rhs;
lhs = (1+y(28))/y(50)*y(52);
rhs = 1;
residual(3) = lhs - rhs;
lhs = y(30);
rhs = y(29)*params(5)/y(9);
residual(4) = lhs - rhs;
lhs = y(33);
rhs = y(52)*y(53)*(y(49)-y(48));
residual(5) = lhs - rhs;
lhs = y(32);
rhs = y(52)*y(53)*y(48);
residual(6) = lhs - rhs;
lhs = y(35);
rhs = 1-params(7)+params(7)*params(8)*y(31);
residual(7) = lhs - rhs;
lhs = y(31);
rhs = y(32)/(params(8)-y(33));
residual(8) = lhs - rhs;
lhs = y(34);
rhs = params(7)*(y(19)+(y(20)-y(19))*y(10))*y(11)+params(9)*y(21)*y(2);
residual(9) = lhs - rhs;
lhs = y(42);
rhs = y(33)*y(21)*y(14)+y(32)*y(34);
residual(10) = lhs - rhs;
lhs = y(43);
rhs = y(21)*y(14);
residual(11) = lhs - rhs;
lhs = y(44);
rhs = y(33)*y(21)*y(14);
residual(12) = lhs - rhs;
lhs = y(45);
rhs = y(32)*y(34);
residual(13) = lhs - rhs;
lhs = y(21)*y(14);
rhs = y(34)*y(31)/(1-y(40));
residual(14) = lhs - rhs;
lhs = y(21)*y(15);
rhs = y(21)*y(14);
residual(15) = lhs - rhs;
lhs = y(16);
rhs = T(1)*T(14);
residual(16) = lhs - rhs;
lhs = y(26);
rhs = y(16)*(1-params(10))*y(22)/y(12);
residual(17) = lhs - rhs;
lhs = y(20);
rhs = (y(21)*(1-params(11))+y(16)*params(10)*y(22)/y(3))/y(5);
residual(18) = lhs - rhs;
lhs = y(15);
rhs = y(17)+(1-params(11))*y(3);
residual(19) = lhs - rhs;
lhs = y(21);
rhs = 1+y(36)+y(17)*y(37)/y(4)-y(52)*y(54)*T(2);
residual(20) = lhs - rhs;
lhs = y(36);
rhs = params(13)/2*(y(17)/y(4)-1)^2;
residual(21) = lhs - rhs;
lhs = y(37);
rhs = params(13)*(y(17)/y(4)-1);
residual(22) = lhs - rhs;
lhs = y(16);
rhs = y(23)*y(18);
residual(23) = lhs - rhs;
lhs = y(23);
rhs = T(4)*y(6)+(1-params(15))*y(25)^(-params(14));
residual(24) = lhs - rhs;
lhs = 1;
rhs = params(15)*(T(3)/y(24))^(1-params(14))+(1-params(15))*y(25)^(1-params(14));
residual(25) = lhs - rhs;
lhs = y(38);
rhs = params(14)/(params(14)-1)*y(39);
residual(26) = lhs - rhs;
lhs = y(38);
rhs = y(25)*y(29)*y(16)+y(25)*params(5)*params(15)/y(51)*T(7)*y(55);
residual(27) = lhs - rhs;
lhs = y(39);
rhs = y(22)*y(29)*y(16)+T(8)*y(56);
residual(28) = lhs - rhs;
lhs = y(27);
rhs = y(26)*params(17);
residual(29) = lhs - rhs;
lhs = y(40);
rhs = params(23)+params(22)*(log(y(49))-log(y(48))-(log((steady_state(9)))-log((steady_state(8)))));
residual(30) = lhs - rhs;
lhs = 1+y(28);
rhs = T(9)*T(13);
residual(31) = lhs - rhs;
lhs = 1+y(8);
rhs = y(19)*y(24);
residual(32) = lhs - rhs;
lhs = y(18);
rhs = y(13)+y(17)+y(17)*y(36)+y(41)+y(15)*y(21)*y(40)*params(21);
residual(33) = lhs - rhs;
lhs = y(41);
rhs = (steady_state(7))*params(12);
residual(34) = lhs - rhs;

end
