function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 14);

T(1) = y(12)^(1-params(10));
T(2) = (y(47)/y(17))^2;
T(3) = y(7)^params(16);
T(4) = params(15)*(T(3))^(-params(14));
T(5) = y(24)^params(16);
T(6) = T(5)/y(50);
T(7) = T(6)^(1-params(14));
T(8) = params(5)*params(15)*T(6)^(-params(14));
T(9) = (1+y(8))^params(18);
T(10) = 1/params(5)*(y(24)/(steady_state(13)))^params(19);
T(11) = (y(18)/(steady_state(7)))^params(20);
T(12) = T(10)*T(11);
T(13) = T(12)^(1-params(18));
T(14) = y(3)^params(10);

end
