function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = ADS_SIR.static_resid_tt(T, y, x, params);
end
residual = zeros(34, 1);
lhs = y(1);
rhs = 1-x(1);
residual(1) = lhs - rhs;
lhs = y(18);
rhs = 1/(y(2)-y(2)*params(6))-params(6)*params(5)/(y(2)-y(2)*params(6));
residual(2) = lhs - rhs;
lhs = (1+y(17))/y(13)*y(19);
rhs = 1;
residual(3) = lhs - rhs;
lhs = y(19);
rhs = params(5);
residual(4) = lhs - rhs;
lhs = y(22);
rhs = y(19)*y(24)*(y(9)-y(8));
residual(5) = lhs - rhs;
lhs = y(21);
rhs = y(19)*y(24)*y(8);
residual(6) = lhs - rhs;
lhs = y(24);
rhs = 1-params(7)+params(7)*params(8)*y(20);
residual(7) = lhs - rhs;
lhs = y(20);
rhs = y(21)/(params(8)-y(22));
residual(8) = lhs - rhs;
lhs = y(23);
rhs = y(23)*params(7)*(y(8)+(y(9)-y(8))*y(20))+params(9)*y(10)*y(3);
residual(9) = lhs - rhs;
lhs = y(31);
rhs = y(3)*y(22)*y(10)+y(21)*y(23);
residual(10) = lhs - rhs;
lhs = y(32);
rhs = y(10)*y(3);
residual(11) = lhs - rhs;
lhs = y(33);
rhs = y(3)*y(22)*y(10);
residual(12) = lhs - rhs;
lhs = y(34);
rhs = y(21)*y(23);
residual(13) = lhs - rhs;
lhs = y(10)*y(3);
rhs = y(23)*y(20)/(1-y(29));
residual(14) = lhs - rhs;
lhs = y(10)*y(4);
rhs = y(10)*y(3);
residual(15) = lhs - rhs;
lhs = y(5);
rhs = T(1)*T(2);
residual(16) = lhs - rhs;
lhs = y(15);
rhs = y(5)*(1-params(10))*y(11)/y(1);
residual(17) = lhs - rhs;
lhs = y(9);
rhs = (y(10)*(1-params(11))+y(5)*params(10)*y(11)/y(4))/y(10);
residual(18) = lhs - rhs;
lhs = y(4);
rhs = y(6)+y(4)*(1-params(11));
residual(19) = lhs - rhs;
lhs = y(10);
rhs = 1+y(25)+y(26)-y(19)*y(26);
residual(20) = lhs - rhs;
residual(21) = y(25);
residual(22) = y(26);
lhs = y(5);
rhs = y(12)*y(7);
residual(23) = lhs - rhs;
lhs = y(12);
rhs = y(12)*T(4)+(1-params(15))*y(14)^(-params(14));
residual(24) = lhs - rhs;
lhs = 1;
rhs = params(15)*T(6)+(1-params(15))*y(14)^(1-params(14));
residual(25) = lhs - rhs;
lhs = y(27);
rhs = params(14)/(params(14)-1)*y(28);
residual(26) = lhs - rhs;
lhs = y(27);
rhs = y(14)*y(18)*y(5)+y(27)*T(6)*params(5)*params(15);
residual(27) = lhs - rhs;
lhs = y(28);
rhs = y(11)*y(18)*y(5)+y(28)*T(7);
residual(28) = lhs - rhs;
lhs = y(16);
rhs = y(15)*params(17);
residual(29) = lhs - rhs;
lhs = y(29);
rhs = params(23)+params(22)*(log(y(9))-log(y(8))-(log((y(9)))-log((y(8)))));
residual(30) = lhs - rhs;
lhs = 1+y(17);
rhs = T(8)*T(12);
residual(31) = lhs - rhs;
lhs = 1+y(17);
rhs = y(13)*y(8);
residual(32) = lhs - rhs;
lhs = y(7);
rhs = y(2)+y(6)+y(6)*y(25)+y(30)+y(4)*y(10)*y(29)*params(21);
residual(33) = lhs - rhs;
lhs = y(30);
rhs = (y(7))*params(12);
residual(34) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
